mxGraphicsCanvas2D.CanvasState (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.canvas
Class mxGraphicsCanvas2D.CanvasState

    java.lang.Object
      com.mxgraph.canvas.mxGraphicsCanvas2D.CanvasState

All Implemented Interfaces:
  Cloneable

Enclosing class:
  mxGraphicsCanvas2D

    protected class mxGraphicsCanvas2D.CanvasState

extends Object
implements Cloneable

Field Summary
`protected double` | `alpha`
`protected boolean` | `dashed`
`protected float[]` | `dashPattern`
`protected double` | `dx`
`protected double` | `dy`
`protected Color` | `fillColor`
`protected String` | `fillColorValue`
`protected boolean` | `flipH`
`protected boolean` | `flipV`
`protected Color` | `fontBackgroundColor`
`protected String` | `fontBackgroundColorValue`
`protected Color` | `fontBorderColor`
`protected String` | `fontBorderColorValue`
`protected Color` | `fontColor`
`protected String` | `fontColorValue`
`protected String` | `fontFamily`
`protected double` | `fontSize`
`protected int` | `fontStyle`
`protected Graphics2D` | `g` Stores the actual state.
`protected Paint` | `gradientPaint`
`protected String` | `lineCap`
`protected String` | `lineJoin`
`protected double` | `miterLimit`
`protected double` | `rotationCx`
`protected double` | `rotationCy`
`protected double` | `scale`
`protected boolean` | `shadow`
`protected double` | `shadowAlpha`
`protected Color` | `shadowColor`
`protected String` | `shadowColorValue`
`protected double` | `shadowOffsetX`
`protected double` | `shadowOffsetY`
`protected Color` | `strokeColor`
`protected String` | `strokeColorValue`
`protected double` | `strokeWidth`
`protected double` | `theta`

Constructor Summary
`protected` | `mxGraphicsCanvas2D.CanvasState()`

Method Summary
`Object` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alpha

    protected double alpha

### scale

    protected double scale

### dx

    protected double dx

### dy

    protected double dy

### theta

    protected double theta

### rotationCx

    protected double rotationCx

### rotationCy

    protected double rotationCy

### flipV

    protected boolean flipV

### flipH

    protected boolean flipH

### miterLimit

    protected double miterLimit

### fontStyle

    protected int fontStyle

### fontSize

    protected double fontSize

### fontFamily

    protected String fontFamily

### fontColorValue

    protected String fontColorValue

### fontColor

    protected Color fontColor

### fontBackgroundColorValue

    protected String fontBackgroundColorValue

### fontBackgroundColor

    protected Color fontBackgroundColor

### fontBorderColorValue

    protected String fontBorderColorValue

### fontBorderColor

    protected Color fontBorderColor

### lineCap

    protected String lineCap

### lineJoin

    protected String lineJoin

### strokeWidth

    protected double strokeWidth

### strokeColorValue

    protected String strokeColorValue

### strokeColor

    protected Color strokeColor

### fillColorValue

    protected String fillColorValue

### fillColor

    protected Color fillColor

### gradientPaint

    protected Paint gradientPaint

### dashed

    protected boolean dashed

### dashPattern

    protected float[] dashPattern

### shadow

    protected boolean shadow

### shadowColorValue

    protected String shadowColorValue

### shadowColor

    protected Color shadowColor

### shadowAlpha

    protected double shadowAlpha

### shadowOffsetX

    protected double shadowOffsetX

### shadowOffsetY

    protected double shadowOffsetY

### g

    protected transient Graphics2D g

  Stores the actual state.

Constructor Detail

### mxGraphicsCanvas2D.CanvasState

    protected mxGraphicsCanvas2D.CanvasState()

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.